/**
 * @file
 * Contains user_agent_check.js.
 */

(($, Drupal, drupalSettings) => {
  'use strict';
  Drupal.behaviors.userAgentClassBehavior = {
    attach() {
      const userAgentText = navigator.userAgent;
      const listDevicesAndBrowsers = drupalSettings.user_agent_class.ListDevicesAndBrowsers;
      const listDevices = Object.values(listDevicesAndBrowsers[0].device_entity);
      const listBrowsers = Object.values(listDevicesAndBrowsers[1].user_agent_entity);
      const methodProvideBoolean = drupalSettings.user_agent_class.methodProvide;
      if (methodProvideBoolean) {
        const classes = [];
        let item = '';
        for (item in listBrowsers) {
          if (listBrowsers[item].exclude.length > 0
            && userAgentText.search(listBrowsers[item].exclude) > 0
            && userAgentText.search(listBrowsers[item].trigger) > 0) {
            continue;
          }
          else if (userAgentText.search(listBrowsers[item].trigger) > 0) {
            classes.push(listBrowsers[item].className);
            break;
          }
        }

        for (item in listDevices) {
          if (listDevices[item].exclude.length > 0
            && userAgentText.search(listDevices[item].exclude) > 0
            && userAgentText.search(listDevices[item].trigger) > 0) {
            continue;
          }
          else if (userAgentText.search(listDevices[item].trigger) > 0) {
            classes.push(listDevices[item].className);
            break;
          }
        }
        const classesInBody = classes.join(' ');
        $('body').addClass(classesInBody);
      }
    }
  };
})(jQuery, Drupal, drupalSettings);
